Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.olap
Class CubeHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.DesignElementHandle
          org.eclipse.birt.report.model.api.ReportElementHandle
              org.eclipse.birt.report.model.api.olap.CubeHandle

All Implemented Interfaces:
  org.eclipse.birt.report.model.elements.interfaces.ICubeModel, org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel

Direct Known Subclasses:
  OdaCubeHandle, TabularCubeHandle

    public abstract class CubeHandle

extends ReportElementHandle
implements org.eclipse.birt.report.model.elements.interfaces.ICubeModel

Represents a cube.

See Also:
  `Cube`

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`element`

Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`module`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.ICubeModel
`ACCESS_CONTROLS_PROP, ACL_EXPRESSION_PROP, DEFAULT_MEASURE_GROUP_PROP, DIMENSIONS_PROP, FILTER_PROP, MEASURE_GROUPS_PROP`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel
`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

Constructor Summary
`CubeHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)` Constructs a handle for the given design and design element.

Method Summary
`java.util.Iterator` | `accessControlsIterator()` Returns an iterator for the access controls.
`void` | `addFilter(FilterCondition fc)` Adds the filter condition.
`protected org.eclipse.birt.report.model.core.DesignElement` | `doGetLocalDimension(java.lang.String dimensionName, org.eclipse.birt.report.model.elements.olap.Cube parent, org.eclipse.birt.report.model.core.Module parentModule)` Returns the dimension defined on the given cube.
`java.util.Iterator` | `filtersIterator()` Returns an iterator for the filter list defined on this cube.
`ExpressionHandle` | `getACLExpression()` Gets the expression handle for the `ACLExpression` property.
`MeasureGroupHandle` | `getDefaultMeasureGroup()` Deprecated.
`DimensionHandle` | `getDimension(java.lang.String dimensionName)` Gets the dimension with the specified name within this cube.
`DimensionHandle` | `getLocalDimension(java.lang.String dimensionName)` Gets the dimension with the specified name within this cube.
`MeasureHandle` | `getMeasure(java.lang.String measureName)` Gets the measure with the specified name within this cube.
`void` | `removeFilter(FilterCondition fc)` Removes the filter condition.
`void` | `setDefaultMeasureGroup(MeasureGroupHandle defaultMeasureGroup)` Deprecated.

Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExpressionProperty, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getProperty, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setBooleanProperty, setEncryption, setEventHandlerClass, setExpressionProperty, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError, slotsIterator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CubeHandle

    public CubeHandle(org.eclipse.birt.report.model.core.Module module,
                      org.eclipse.birt.report.model.core.DesignElement element)

  Constructs a handle for the given design and design element. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

  Parameters:
    `module` - the module
    `element` - the model representation of the element

Method Detail

### getDimension

    public DimensionHandle getDimension(java.lang.String dimensionName)

  Gets the dimension with the specified name within this cube.

  Parameters:
    `dimensionName` - name of the dimension to find
  Returns:
    dimension within the cube if found, otherwise `null`

### getLocalDimension

    public DimensionHandle getLocalDimension(java.lang.String dimensionName)

  Gets the dimension with the specified name within this cube. If dimension defined with the given name doesn't exist, it returns the local corresponding one mapped to the parent dimension that matches the given name.

  Parameters:
    `dimensionName` - name of the dimension to find
  Returns:
    dimension within the cube if found, otherwise `null`

### doGetLocalDimension

    protected org.eclipse.birt.report.model.core.DesignElement doGetLocalDimension(java.lang.String dimensionName,
                                                                                   org.eclipse.birt.report.model.elements.olap.Cube parent,
                                                                                   org.eclipse.birt.report.model.core.Module parentModule)

  Returns the dimension defined on the given cube.

  Parameters:
    `dimensionName` -
    `parent` -
    `parentModule` -
  Returns:

### getMeasure

    public MeasureHandle getMeasure(java.lang.String measureName)

  Gets the measure with the specified name within this cube.

  Parameters:
    `measureName` - name of the measure to find
  Returns:
    measure within the cube if found, otherwise `null`

### filtersIterator

    public java.util.Iterator filtersIterator()

  Returns an iterator for the filter list defined on this cube. Each object returned is of type `StructureHandle`.

  Returns:
    the iterator for `FilterCond` structure list defined on this cube.

### getDefaultMeasureGroup

    public MeasureGroupHandle getDefaultMeasureGroup()

  Deprecated.

  Gets the default measure group for the cube.

  Returns:
    the default measure group

### setDefaultMeasureGroup

    public void setDefaultMeasureGroup(MeasureGroupHandle defaultMeasureGroup)
                                throws SemanticException

  Deprecated.

  Sets the default measure group for this cube.

  Parameters:
    `defaultMeasureGroup` - the default measure group to set
  Throws:
    `SemanticException`

### accessControlsIterator

    public java.util.Iterator accessControlsIterator()

  Returns an iterator for the access controls. Each object returned is of type `AccessControlHandle`.

  Returns:
    the iterator for user accesses defined on this cube.

### addFilter

    public void addFilter(FilterCondition fc)
                   throws SemanticException

  Adds the filter condition.

  Parameters:
    `fc` - the filter condition structure
  Throws:
    `SemanticException` - if the expression of filter condition is empty or null

### removeFilter

    public void removeFilter(FilterCondition fc)
                      throws SemanticException

  Removes the filter condition.

  Parameters:
    `fc` - the filter condition structure
  Throws:
    `SemanticException` - if the given condition doesn't exist in the filters

### getACLExpression

    public ExpressionHandle getACLExpression()

  Gets the expression handle for the `ACLExpression` property.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.